curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/shipping-rules \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": [
{
"name": "<string>",
"val": "<string>"
}
],
"senderAddressId": "<string>",
"receivingCountries": [
"<string>"
],
"emailNotification": false,
"phoneNotification": false,
"conditions": [
{
"type": "weight",
"min": 1,
"max": 1,
"shippingPrice": 1,
"currency": "<string>"
}
],
"generateProformaInvoice": false,
"generateCommercialInvoice": false,
"generatePackingList": false,
"autoPrintLabels": false,
"autoPrintDocuments": false,
"labelPrinterId": "<string>",
"documentPrinterId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": false,
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"carrier": {
"id": "<string>",
"name": "<string>",
"carrierSlug": "<string>",
"config": {},
"senderAddressId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"senderAddress": {
"id": "<string>",
"name": "<string>",
"attContact": "<string>",
"address1": "<string>",
"address2": "<string>",
"zipcode": "<string>",
"city": "<string>",
"phone": "<string>",
"countryCode": "<string>",
"state": "<string>",
"email": "jsmith@example.com",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"customs": {}
},
"labelPrinter": {
"id": "<string>",
"name": "<string>"
},
"documentPrinter": {
"id": "<string>",
"name": "<string>"
},
"returnShippingRule": {
"id": "<string>",
"name": "<string>"
}
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}Get all shipping rules for an organization
curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/shipping-rules \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"carrierId": "<string>",
"productId": "<string>",
"services": [
"<string>"
],
"additionalParameters": [
{
"name": "<string>",
"val": "<string>"
}
],
"senderAddressId": "<string>",
"receivingCountries": [
"<string>"
],
"emailNotification": false,
"phoneNotification": false,
"conditions": [
{
"type": "weight",
"min": 1,
"max": 1,
"shippingPrice": 1,
"currency": "<string>"
}
],
"generateProformaInvoice": false,
"generateCommercialInvoice": false,
"generatePackingList": false,
"autoPrintLabels": false,
"autoPrintDocuments": false,
"labelPrinterId": "<string>",
"documentPrinterId": "<string>",
"returnShippingRuleId": "<string>",
"autoCreateReturnShipment": false,
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"carrier": {
"id": "<string>",
"name": "<string>",
"carrierSlug": "<string>",
"config": {},
"senderAddressId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"senderAddress": {
"id": "<string>",
"name": "<string>",
"attContact": "<string>",
"address1": "<string>",
"address2": "<string>",
"zipcode": "<string>",
"city": "<string>",
"phone": "<string>",
"countryCode": "<string>",
"state": "<string>",
"email": "jsmith@example.com",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"customs": {}
},
"labelPrinter": {
"id": "<string>",
"name": "<string>"
},
"documentPrinter": {
"id": "<string>",
"name": "<string>"
},
"returnShippingRule": {
"id": "<string>",
"name": "<string>"
}
}
],
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}JWT access token or API token (prefixed with zipp_)
Organization ID
1 <= x <= 90071992547409911 <= x <= 100